## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Update this value from //rnnoise/model_version. This is the sha256sum of the model tarball.
%global model_version 4ac81c5c0884ec4bd5907026aaae16209b7b76cd9d7f71af582094a2f98f4b43

Name:       rnnoise
Version:    0.2

%global forgeurl https://gitlab.xiph.org/xiph/rnnoise
%global tag v%{version}
%forgemeta

Release:    %autorelease
Summary:    Recurrent neural network for audio noise reduction

# The pretrained model is licensed under CC0.
# This is fine since:
#   - This work is not covered under any patents[^1].
#   - This is a machine learning model, which falls under the category of "content"[^2].
# ^1: https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/thread/HB2GPMVKMTNP5WDGIRNU5NZUO4JWQPII/
# ^2: https://docs.fedoraproject.org/en-US/legal/license-approval/#_licenses_allowed_for_content
License:    BSD-3-Clause AND CC0-1.0

URL:        %{forgeurl}
Source0:    %forgesource
Source1:    https://media.xiph.org/rnnoise/models/rnnoise_data-%{model_version}.tar.gz

# Fix compiliation issues on aarch64.
Patch0:     %{forgeurl}/-/commit/372f7b4b76cde4ca1ec4605353dd17898a99de38.patch

BuildRequires: gcc

BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: make

BuildRequires: doxygen
BuildRequires: graphviz

%description
RNNoise is a noise suppression library based on a recurrent neural network.

%package devel
Summary:    Devel files for %{name}
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
Devel files for %{name}.

%package doc
Summary:    Developer documentation for %{name}
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description doc
The %{name}-doc package contains developer documentation for the %{name} package.

%prep
%forgeautosetup -p1
tar -xf %{SOURCE1}

cat > 'package_version' <<-EOF
    PACKAGE_VERSION=%{version}
EOF


%build
autoreconf -fi
%configure \
%ifarch x86_64 %{ix86}
  --enable-x86-rtcd \
%endif
  --disable-static \
  %{nil}

%make_build

%install
%make_install
rm %{buildroot}%{_libdir}/*.la
rm %{buildroot}%{_pkgdocdir}/COPYING

%files
%license COPYING
%doc AUTHORS README
%{_libdir}/lib%{name}.so.0*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*.pc

%files doc
%{_pkgdocdir}/html/

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11.20210312git7f449bf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.20210312git7f449bf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.20210312git7f449bf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.20210312git7f449bf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7.20210312git7f449bf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.20210312git7f449bf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.20210312git7f449bf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4.20210312git7f449bf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Mar 13 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0-0.3.20210312git7f449bf
- build(update): 20210312git7f449bf

* Sun Jan 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0-0.2.20210122git1cbdbcf
- Initial package

## END: Generated by rpmautospec
